typedef int datatype;
typedef struct Node
{
	int data;
	
	struct Node *next;
}NODE;

typedef struct Node_Err
{
  NODE *node;
  int err;
}NODE_ERR;

void print_node(NODE *head, int pos);
void print_list(NODE *head);
NODE* search(int n, NODE *head);
NODE *construct(datatype data, NODE *next);
NODE *traverse(NODE *head, int pos);
int delete_node_after(NODE *head);
NODE *Construct_List(datatype list[], int size);
int Add_To_End(NODE *head, datatype new_data);
int Insert_Node(NODE *head, int pos, datatype new_data);
int Insert_Node_After(NODE *head, datatype data);
NODE *Search(NODE *head, datatype data);
int Length(NODE *head);
